Subject: Re: [PATCH/RFC] ata: Add support for the MPC52xx ATA controller using libata

From: Alan <[email-masked]>
Date: Thu, 16 Nov 2006 23:46:01 +0000

On Thu, 16 Nov 2006 23:12:19 +0100
Sylvain Munaut <[email-masked]> wrote:

> * The manual states we should check for the TIP bit before all
> PIO transaction. That's not really supported by libata and requires
> reimplementing almost all the hooks. But after talking to Freescale,
> it turnsout it's not really necessary. So this driver doesn't implement
> that check. I noticed no problem so far ...
>

All PIO transactions meaning each PIO command sequence or each register
read/write ? In the former case is it not enough just to wrap the command
write ?

> * This driver doesn't use the standard function to compute timing
> because the 5200 needs more timing parameters that are not handled
> by the generic call (ta and t4).

I'd rather the generic code was taught to compute any extra times you
need but it seems clean enough.